<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Create-a-Configuration",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:post:v1-configurations"
  },
  "title" : "Create a Configuration"
}
-->

# Create a Configuration

Create a new custom Configuration in an organization.

## Overview> Important: only Configurations with type `CUSTOM_SETTING` can be created with the API.

> Note: `configurationProfile` is required. `filename` is optional — if omitted, a default filename is generated from the Configuration ID. `configuredForPlatforms` is optional — if omitted, supported platforms are auto-detected from the payload content in the Configuration profile. The profile must be compatible with the resolved platforms.

### Example

**Request:**

```
curl -X POST "https://api-business.apple.com/v1/configurations" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "configurations",
        "attributes": {
          "type": "CUSTOM_SETTING",
          "name": "AirPlay Security Settings",
          "configuredForPlatforms": ["PLATFORM_IOS"],
          "customSettingsValues": {
            "configurationProfile": "<?xml version=\"1.0\" encoding=\"UTF-8\"?><!DOCTYPE plist PUBLIC \"-//Apple//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\"><plist version=\"1.0\"><dict><key>PayloadContent</key><array><dict><key>AccessType</key><string>WIFI_ONLY</string><key>PayloadType</key><string>com.apple.airplay.security</string></dict></array></dict></plist>",
            "filename": "Airplay.mobileconfig"
          }
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "configurations",
    "id": "config-new-456",
    "attributes": {
      "type": "CUSTOM_SETTING",
      "name": "AirPlay Security Settings",
      "configuredForPlatforms": [
        "PLATFORM_IOS"
      ],
      "customSettingsValues": {
        "configurationProfile": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>...",
        "filename": "Airplay.mobileconfig"
      },
      "createdDateTime": "2024-06-15T10:30:00Z",
      "updatedDateTime": "2024-06-15T10:30:00Z"
    },
    "links": {
      "self": "https://api-business.apple.com/v1/configurations/config-new-456"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/configurations/config-new-456"
  }
}
```

## Topics

### Responses

[`object ConfigurationResponse`](/documentation/AppleBusinessAPI/ConfigurationResponse)

A response that contains information about a Configuration resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)